PrecedenceQueryNodeProcessorPipeline (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.precedence.processors.PrecedenceQueryNodeProcessorPipeline class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.precedence.processors
Class PrecedenceQueryNodeProcessorPipeline

    java.lang.Object
      org.apache.lucene.queryParser.core.processors.QueryNodeProcessorPipeline
          org.apache.lucene.queryParser.standard.processors.StandardQueryNodeProcessorPipeline
              org.apache.lucene.queryParser.precedence.processors.PrecedenceQueryNodeProcessorPipeline

All Implemented Interfaces:
  Iterable<QueryNodeProcessor>, Collection<QueryNodeProcessor>, List<QueryNodeProcessor>, QueryNodeProcessor

    public class PrecedenceQueryNodeProcessorPipeline

extends StandardQueryNodeProcessorPipeline

This processor pipeline extends `StandardQueryNodeProcessorPipeline` and enables boolean precedence on it.

EXPERT: the precedence is enabled by removing `GroupQueryNodeProcessor` from the `StandardQueryNodeProcessorPipeline` and appending `BooleanModifiersQueryNodeProcessor` to the pipeline.

See Also:
  `PrecedenceQueryParser`, `StandardQueryNodeProcessorPipeline`

Constructor Summary
`PrecedenceQueryNodeProcessorPipeline(QueryConfigHandler queryConfig)`

Method Summary

Methods inherited from class org.apache.lucene.queryParser.core.processors.QueryNodeProcessorPipeline
`add, add, addAll, addAll, addProcessor, clear, contains, containsAll, get, getQueryConfigHandler, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, process, remove, remove, removeAll, retainAll, set, setQueryConfigHandler, size, subList, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Constructor Detail

### PrecedenceQueryNodeProcessorPipeline

    public PrecedenceQueryNodeProcessorPipeline(QueryConfigHandler queryConfig)

See Also:
  `StandardQueryNodeProcessorPipeline.StandardQueryNodeProcessorPipeline(QueryConfigHandler)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD